% Sets the code generation configuration settings on all the models

function [] = SCDconf_setCODEconf()
    disp('Setting configurationSettings = configurationSettingsCODE at tcv level ...');
    d=Simulink.data.dictionary.open('tcv.sldd');
    dd=getSection(d, 'Configurations');
    activeconf=dd.getEntry('configurationSettings');
    codeconf=dd.getEntry('configurationSettingsCODE');
    configurationSettings=codeconf.getValue;
    configurationSettings.Name='configurationSettings';
    activeconf.deleteEntry;
    dd.addEntry('configurationSettings',configurationSettings);
end